Recent

Author Topic: Qt5 bindings for Ubuntu 18.04  (Read 658 times)

dbannon

  • Hero Member
  • *****
  • Posts: 787
    • tomboy-ng, a rewrite of the classic Tomboy
Qt5 bindings for Ubuntu 18.04
« on: November 24, 2019, 02:50:50 am »
Some discussion here https://forum.lazarus.freepascal.org/index.php/topic,47125.msg340226.html about making it easier to get QT5 widget set going on LTS Ubuntus a bit easier.

I have made two deb files that replace the Ubuntu 18.04 official repo version of libQt5Pas1 and, if needed the dev version of the same thing. As I cannot upload debs to here, they are on my apps Github page, see  https://github.com/tomboy-notes/tomboy-ng/releases/latest

The main one is suitable for you to direct your end users to install before installing a QT5 app on Ubuntu 18.04 or to install over top of an existing (repo based) libQt5Pas1.  It will also install Qt5 if necessary if you use something that resolves dependencies ie
Code: [Select]
sudo apt install ./libqt5pas1_2.6~beta-5_amd64.deb <enter>But remember you MUST prepend the ./ to the filename or set a valid path to the filename. And don't use the silly 'Software' application to install it, it will not resolve dependencies. No reason why you should not use the contents of that deb in your own deb file.

If you already have the development version of libqt5pas, then you MUST uninstall it before installing the new library, the new library breaks the official Ubuntu -dev package. after installing the new package, install its companian -dev package, you need that to develop Qt5 apps with Lazarus.

Note that this approach is not necessary for U19.10 and will not help at all for U16.04

Please test, if others find this useful I will reference it on the wiki.

Background - all I have done is download the official Ubuntu packages, opened them up, replaced the library with one built according to the Lazarus instructions, uped the version number and altered the homepages and maintainer contact. Rebuilt the debs with rev'ed version number.

Davo
Lazarus 2, Linux (and reluctantly Win10, OSX)
My Project - https://github.com/tomboy-notes/tomboy-ng

ChrisR

  • Full Member
  • ***
  • Posts: 103
Re: Qt5 bindings for Ubuntu 18.04
« Reply #1 on: November 25, 2019, 06:17:46 pm »
Davo-

I tested your libqt5pas1 on a Ubuntu 18.04 machine and it worked like a charm for running applications. The dev file allowed my to compile new QT5 applications with Lazarus on 18.04. Great job. This is very useful.

dbannon

  • Hero Member
  • *****
  • Posts: 787
    • tomboy-ng, a rewrite of the classic Tomboy
Re: Qt5 bindings for Ubuntu 18.04
« Reply #2 on: November 27, 2019, 03:53:11 am »
Good, thanks for letting me know ChrisR, I'll pop some reference to it onto the QT Widget page - https://wiki.freepascal.org/Qt5_Interface

Davo
Lazarus 2, Linux (and reluctantly Win10, OSX)
My Project - https://github.com/tomboy-notes/tomboy-ng

ChrisR

  • Full Member
  • ***
  • Posts: 103
Re: Qt5 bindings for Ubuntu 18.04
« Reply #3 on: December 02, 2019, 05:08:35 pm »
Davo-

Yaroslav Halchenko rebuilt the bindings for 18.04 and added them to the NeuroDebian repository:
  http://neuro.debian.net/index.html#how-to-use-this-repository

This would allow users to get the fixed version as long as neurodebian is part of their sources list, e.g.

wget -O- http://neuro.debian.net/lists/bionic.us-nh.libre | sudo tee /etc/apt/sources.list.d/neurodebian.sources.list
sudo apt-key adv --recv-keys --keyserver hkp://pool.sks-keyservers.net:80 0xA5D32F012649A5A9
sudo apt-get update
sudo apt install libqt5pas1

I have checked and it works on my 18.04 system. If others can confirm that it is the solution, maybe it can be moved to the default Debian repositories.

dbannon

  • Hero Member
  • *****
  • Posts: 787
    • tomboy-ng, a rewrite of the classic Tomboy
Re: Qt5 bindings for Ubuntu 18.04
« Reply #4 on: December 02, 2019, 10:31:25 pm »
ChrisR, did you also get the -dev package ?  End users dont need it but you do ...

Davo
Lazarus 2, Linux (and reluctantly Win10, OSX)
My Project - https://github.com/tomboy-notes/tomboy-ng